#
# Copyright (c) 2016 - 2019 nixkoenner@newnigma2.to
#                    https://www.newnigma2.to
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

powerDown(){
        P=`wget http://127.0.0.1/web/powerstate -q -O - | grep true | cut -b 15-18`
        if [ "$P" == "true" ]; then
                echo "box is in standby"
        else
                echo "box is awake set standby"
                S=`wget http://127.0.0.1/web/powerstate?newstate=5 -q -O - | grep true | cut -b 15-18`
                if [ "$S" == "true" ]; then
                        echo "box is in standby"
                 else
                        echo "box standby error"
                fi
        fi
}

PowerUp(){
        P=`wget http://127.0.0.1/web/powerstate -q -O - | grep false | cut -b 15-19`
        if [ "$P" == "false" ]; then
                echo "box is up and running"
        else
                echo "box is in standby"
                S=`wget http://127.0.0.1/web/powerstate?newstate=4 -q -O - | grep false | cut -b 15-19`
                if [ "$S" == "false" ]; then
                        echo "box is up and running"
                 else
                        echo "box powerstate error"
                fi
        fi
}

f(){
  find -L `pwd` -name "*.$2"  -print0 | xargs -0  grep -n "$1"
}

alias powerdown=powerDown
alias powerup=PowerUp
alias such=f

alias ll='ls -all --color'
alias up='dpkg --configure -a && apt-get update && apt-get dist-upgrade && apt-get clean'
alias e2log='journalctl -f -u enigma2'
alias e2log2='journalctl -f -u enigma2 > /tmp/e2logfile_$(date +%Y.%m.%d@%H.%M).log 2>&1'
alias e2restart='systemctl restart enigma2.service > /dev/null'
alias e2consrestart='wget http://127.0.0.1/web/powerstate?newstate=3 -q -O - > /dev/null'
alias remount='mount -o remount,rw /'

alias nfs='systemctl restart nfs-server.service'
alias nfsstat='systemctl status nfs-server.service'
alias samba='systemctl restart smb.service && systemctl restart nmb.service'

alias cds='cd /usr/lib/enigma2/python'                                                   
alias cdp='cd /usr/share/enigma2'
alias cdhdd='cd /media/hdd'
alias search='apt-cache search'
alias deblist='dpkg -l | grep'
alias pid='pgrep -l'

alias grabosd='grab -o -d -p /tmp/screenosd_$(date +%Y.%m.%d@%H.%M.%S).png'
alias graball='grab -p /tmp/screenall_$(date +%Y.%m.%d@%H.%M.%S).png'
alias getIP="wget checkip.dyndns.org/ -q -O - | grep -Eo '\<[[:digit:]]{1,3}(\.[[:digit:]]{1,3}){3}\>'"

export BASH=/bin/bash
export SHELL=/bin/bash
export TERMINFO=/etc/terminfo
export TERM=xterm
export LANG=de_DE.UTF-8

PS1="\[\033[1;31m\]\u\[\033[m\]@\[\033[0;32m\]\h:\[\033[34;1m\]\w\[\033[m\]\$ "
export PS1

PATH=/usr/script:$PATH
export PATH
